Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

xmms2-plugin-modplug-0.8-lp150.2.2 RPM for ppc64le

From OpenSuSE Ports Leap 15.0 for ppc64le

Name: xmms2-plugin-modplug Distribution: openSUSE Leap 15.0
Version: 0.8 Vendor: openSUSE
Release: lp150.2.2 Build date: Wed May 9 22:04:15 2018
Group: Productivity/Multimedia/Sound/Players Build host: obs-power8-02
Size: 67864 Source RPM: xmms2-0.8-lp150.2.2.src.rpm
Packager: https://bugs.opensuse.org
Url: http://xmms2.org
Summary: Modplug support for xmms2
An XMMS2 input plugin to read and decode module files
(.it, .s3m, .xm, etc.)

Provides

Requires

License

GPL-1.0+ or Artistic-1.0

Changelog

* Fri Dec 15 2017 mvetter@suse.com
  - BuildRequire python-xml explicitly
  - Use openssl < 1.1
* Mon Jun 12 2017 zaitor@opensuse.org
  - Add mpg123 plugin to base-plugins for Tumbleweed and newer via
    conditional, mp3 support now included.
* Mon Feb 13 2017 jengelh@inai.de
  - Trim and update descriptions
* Thu Feb 09 2017 mvetter@suse.com
  - On Oct 18 marguerite also added this patch:
    * xmms2-0.8-add-lib-vorbis-and-ogg.patch
* Thu Feb 02 2017 adam.majer@suse.de
  - use individual libboost-*-devel packages instead of boost-devel
* Sun Oct 18 2015 i@marguerite.su
  - update version 0.8
    * Waf build system updated to version 1.6, which brings Python
      3.x compatibility to the build system.
    * Python bindings migrated to cython which brings Python 3.x
      compatibility to Python clients.
    * Server side IPC code is now generated, thus a whole lot more
      consistent and less prone to errors.
    * Better support for high quality (S32) audio, together with
      xform updates to output such formats.
    * Don't let ALSA resample as it consumes insane amount of
      resources which makes it look like XMMS2 is resource heavy.
    * More format support to CoreAudio and PulseAudio letting them
      resample in their own processes instead, thus utilizing
      multi-core systems better.
    * A ton of man page updates so that we can hopefully answer most
      questions with RTFM.
  - new subpackage plugin-sndfile
  - sync w/ packman
  - drop patch: xmms2-0.7-no-O0.patch
  - drop patch: xmms2-0.7-rpath.patch
  - drop patch: xmms2-0.7-spelling-error.patch
  - drop patch: xmms2-0.7-no-return.patch, upstreamed
  - drop patch: xmms2-0.7-cli-output-verbosity.patch,
    no more src/clients/cli
  - drop patch: xmms2-0.7-escape-minus-signes.patch, upstreamed
  - drop patch: xmms2-0.7-silent-launcher.patch, upstreamed
  - drop patch: xmms2-0.7-fix-typo-in-xmms2-mdns-avahi-manpage.patch
    upstreamed
  - drop patch: xmms2-0.7-vorbis-picture-support.patch, upstreamed
  - drop patch: xmms2-0.7-linker-flags.patch
  - drop patch: xmms2-0.7-fix-cast-error.patch
  - drop patch: xmms2-0.7-remove-path_max.patch, upstreamed
  - drop patch: xmms2-0.7-fixwarnings.patch
  - drop patch: xmms2-0.7-ld_fix.patch, no longer needed
  - drop patch: xmms2-disable-parallel-build.patch, no more wafadmin
    directory
  - drop patch: xmms2-0.7-cunit.patch, upstreamed
  - drop patch: xmms-ruby2.2.patch, no waftools/ruby.py
  - unpack waf to fix for ruby 2.2
  - add patch: xmms2-0.8-no-O0.patch
    * don't build w/ -O0 flag
  - add patch: xmms2-0.8-rpath.patch
    * don't build w/ rpath for sidplay
  - add patch: xmms2-0.8-spelling-error.patch
    * fix a spell mistake in mp4meta.c
  - add patch: xmms2-0.8-linker-flags.patch
    * don't link against unused libraries
  - add patch: xmms2-0.8-fix-cast-error.patch
    * Fix cast to pointer from integer of different size error
  - add patch: xmms2-0.8-fixwarnings.patch
  - add patch: xmms2-samba4-include-path.patch
    * adjust samba-4.0 include path for libsmbclient.h
* Wed May 20 2015 dimstar@opensuse.org
  - Add xmms-ruby2.2.patch: Update for Ruby 2.2: Use RbConfig instead
    of deprecated Config.
* Fri Sep 19 2014 dmueller@suse.com
  - use valgrind also on other architectures where it is available
* Wed Sep 11 2013 pgajdos@suse.com
  - detect libsmbclient
* Mon Jun 18 2012 pgajdos@suse.com
  - turn on cdda plugin again, buildrequire libcdio-paranoia-devel
* Mon Jun 11 2012 pgajdos@suse.com
  - turn off cdda plugin until libcdio-paranoia dependency isn't
    accepted into factory (see bnc#756564)
* Fri Dec 09 2011 coolo@suse.com
  - fix license to be in spdx.org format
* Thu Oct 27 2011 idonmez@suse.com
  - Disable parallel build, it randomly hangs
* Fri Sep 16 2011 suse-tux@gmx.de
  - added Patch15 (xmms2-0.7-ld_fix.patch) to fix the build for factory
* Tue Aug 03 2010 andrea@opensuse.org
  - fixed duplicated deps
* Mon Aug 02 2010 andrea@opensuse.org
  - fixed xmms2-devel dependencies bnc#627610
* Mon May 31 2010 ro@suse.de
  - buildrequire valgrind-devel only on archs where it exists
* Tue May 11 2010 andrea@opensuse.org
  - allow gme only on suse >= 11.2
* Thu May 06 2010 meissner@suse.de
  - fixed 1 implicit warning and 1 void return
* Mon Apr 26 2010 dimstar@opensuse.org
  - Add xmms2-pkgconfig.patch: pkg-config version needs to be a
    version only.
* Fri Apr 23 2010 andrea@opensuse.org
  - split out libxmmsclient* libraries
* Wed Apr 21 2010 andrea@opensuse.org
  - rewritten spec file, split out packages and reduced dependencies
    to main package
* Wed Apr 21 2010 andrea@opensuse.org
  - removed gamin dependency, no more required
* Tue Apr 20 2010 andrea@opensuse.org
  - added xmms2-0.7-cunit.patch to fix missing -lncurses to linker
    (if build with CUnit)
  - removed mpg123 code because MAY cause legal issues (mp3 support)
* Tue Apr 20 2010 davejplater@gmail.com
  - Changed build dependency from fftw to fftw3
* Mon Apr 19 2010 andrea@opensuse.org
  - Fixed RPM groups according to :
    http://en.opensuse.org/SUSE_Package_Conventions/RPM_Groups
* Sun Apr 18 2010 andrea@opensuse.org
  - enabled ssl support
* Sat Apr 17 2010 andrea@opensuse.org
  - added xmms2-ripper man page
  - backport several debian patches to fix bugs including
    missing casting, typos, linker flags, ecc
* Mon Mar 01 2010 andrea@opensuse.org
  - new upstream version 0.7
* Thu Feb 25 2010 andrea@opensuse.org
  - added xmms2-no-return.patch to make brp-checks happy
* Fri Dec 11 2009 andrea@opensuse.org
  - new upstream version
  - ported patches to new version
  - fixed spec file to use openSUSE standards and package names

Files

/usr/lib64/xmms2/libxmms_modplug.so


Generated by rpm2html 1.8.1

Fabrice Bellet, Tue Nov 9 10:26:55 2021